Skip to main content
GET
/
v2
/
legal_entity
Get Legal Entity Details
curl --request GET \
  --url https://api.example.com/v2/legal_entity \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "notices_url": "<string>",
  "user_email": "<string>",
  "business_name": "<string>",
  "entity_type": "unset",
  "tax_classification": "unset",
  "incorporation_region": "AL",
  "incorporated_date": "2023-12-25",
  "ein": "<string>",
  "llc_managed_type": "member_managed",
  "business_purpose": "<string>",
  "business_phone": "<string>",
  "business_email": "<string>",
  "business_address": {
    "address_line_1": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "id": "<string>",
    "address_line_2": "<string>"
  },
  "mailing_address": {
    "address_line_1": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "id": "<string>",
    "address_line_2": "<string>"
  },
  "naics_code": "<string>",
  "accounting_method": "accrual",
  "accounting_period": "fiscal",
  "accounting_year_end": "January",
  "futa_liability_year": 123,
  "last_payroll_update": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mosey.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

legal_entity_public_id
string | null
user_or_platform_public_id
string | null
platform_public_id
string | null

Response

Successful Response

id
string
required
name
string
required
notices_url
string | null
required
user_email
string | null
required
business_name
string | null
required
entity_type
enum<string> | null
required
Available options:
unset,
c_corp,
p_corp,
pllc,
llc,
llp,
lp,
gp
tax_classification
enum<string> | null
required

The IRS tax classification for an entity.

In some circumstances, a company can elect to be treated different from the entity type for tax purposes. For example, an LLC can elect to be taxed as a corporation.

  • Corp: taxed as a corporation, the default for C Corps
  • S Corp: election using IRS Form 2553
  • Partnership: taxed as a partnership, the default for LPs
  • Disregarded: taxes pass through to the members, default for LLCs
  • Tax Exempt: an entity that is recognized by the IRS as being exempt from paying federal income taxes on its earnings
Available options:
unset,
corp,
s_corp,
partnership,
disregarded,
tax_exempt
incorporation_region
enum<string> | null
required
Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY
incorporated_date
string<date> | null
required
ein
string | null
llc_managed_type
enum<string> | null
Available options:
member_managed,
manager_managed
business_purpose
string | null
business_phone
string | null
business_email
string | null
business_address
Address · object
mailing_address
Address · object
naics_code
string | null
accounting_method
enum<string> | null
Available options:
accrual,
cash
accounting_period
enum<string> | null
Available options:
fiscal,
calendar
accounting_year_end
enum<string> | null
Available options:
January,
February,
March,
April,
May,
June,
July,
August,
September,
October,
November,
December
futa_liability_year
integer | null
last_payroll_update
string<date-time> | null